<?php

/**
 * @file
 * Includes description of hooks available in the module.
 */

/**
 *
 */
function hook_sharepoint_rest_entity_mapping() {
  $entity_map = array();
  $entity_map[] = array(
    'sharepoint' => array(
      'list_type' => 'publications',
    ),
    'drupal' => array(
      'entity_type' => 'node',
      'entity_bundle' => 'resource',
    ),
    'field_map' => array(
      'description' => 'body',
      'content_type' => 'field_resource_content_type',
      'document_type' => 'field_resource_document_type',
      'locations' => 'field_resource_locations',
    ),
    'property_map' => array(
      'title' => 'title',
    )
  );

  return $entity_map;
}
